Public Member Functions | Private Attributes | List of all members
libcdr::CDRGraphicObjectOutputElement Class Reference
Inheritance diagram for libcdr::CDRGraphicObjectOutputElement:

## Public Member Functions
| CDRGraphicObjectOutputElement (const librevenge::RVNGPropertyList &propList)
| ~CDRGraphicObjectOutputElement () override
void | draw (librevenge::RVNGDrawingInterface *painter) override
Public Member Functions inherited from libcdr::CDROutputElement
| CDROutputElement ()
virtual | ~CDROutputElement ()

## Private Attributes
librevenge::RVNGPropertyList | m_propList

## Constructor & Destructor Documentation

## ◆ CDRGraphicObjectOutputElement()

libcdr::CDRGraphicObjectOutputElement::CDRGraphicObjectOutputElement | ( | const librevenge::RVNGPropertyList & | propList | ) |

## ◆ ~CDRGraphicObjectOutputElement()

libcdr::CDRGraphicObjectOutputElement::~CDRGraphicObjectOutputElement | ( |  | ) |
| inline override

## Member Function Documentation

## ◆ draw()

void libcdr::CDRGraphicObjectOutputElement::draw | ( | librevenge::RVNGDrawingInterface * | painter | ) |
| override virtual

Implements libcdr::CDROutputElement.

## Member Data Documentation

## ◆ m_propList

librevenge::RVNGPropertyList libcdr::CDRGraphicObjectOutputElement::m_propList
| private

Referenced by draw().

The documentation for this class was generated from the following file:

- CDROutputElementList.cpp